Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001377TestLinkUser Interface Generalpublic2008-02-11 05:392009-04-05 00:46
Reportermhavlat 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version1.8 RC 3 
Summary0001377: Clean uninitialized variables from smarty templates (introduced during 1.8 dev)
Description3. Nearly each window is damaged by undefined indexes in templates:

    Notice: Only variable references should be returned by reference in F:\wa\testlink_head\third_party\smarty\libs\Config_File.class.php on line 130

    Notice: Only variable references should be returned by reference in F:\wa\testlink_head\third_party\smarty\libs\Config_File.class.php on line 133

    Notice: Undefined index: css_only in F:\wa\testlink_head\gui\templates_c\%%5D^5DA^5DAE1AB0%%inc_ext_js.tpl.php on line 4

    Notice: Undefined index: css_only in F:\wa\testlink_head\gui\templates_c\%%5D^5DA^5DAE1AB0%%inc_ext_js.tpl.php on line 4

    Notice: Undefined index: css_only in F:\wa\testlink_head\gui\templates_c\%%5D^5DA^5DAE1AB0%%inc_ext_js.tpl.php on line 10

    Notice: Undefined index: body_onload in F:\wa\testlink_head\gui\templates_c\%%86^86A^86A1E9DD%%projectView.tpl.php44
    >
    Test Project Management

    Notice: Undefined index: editResult in F:\wa\testlink_head\gui\templates_c\%%86^86A^86A1E9DD%%projectView.tpl.php on line 49
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0003226)
mhavlat (reporter)
2008-02-11 05:43

I also has bad feeling if amount of unnecessary variables is defined for each page. For example:

{$gsmarty_spec_cfg} stdClass Object (3)
steps_results_layout => horizontal
show_tsuite_filter => 1
automatic_tree_refresh => 1
{$gsmarty_tc_status} Array (7)
failed => f
blocked => b
passed => p
not_run => n
not_available => x
unknown => u
all => all
{$gsmarty_tc_status_css} Array (7)
f => failed
b => blocked
p => passed
n => not_run
x => not_available
u => unknown
all => all
{$gsmarty_tc_status_for_ui} Array (3)
passed => test_status_passed
failed => test_status_failed
blocked => test_status_blocked
{$gsmarty_tc_status_verbose_labels} Array (7)
all => test_status_all_status
not_run => test_status_not_run
passed => test_status_passed
failed => test_status_failed
blocked => test_status_blocked
not_available => test_status_not_available
unknown => test_status_unknown

{$optLocale} Array (12)
zh_CN => Chinese Simplified
en_GB => English (UK)
en_US => English (US)
fr_FR => Français
de_DE => German
it_IT => Italian
pl_PL => Polski
pt_BR => Portuguese (Brazil)
es_AR => Spanish (Argentine)
es_ES => Spanish
ru_RU => Russian
ja_JP => Japanese
(0003232)
fman (administrator)
2008-02-12 16:10

There are facts no feelings.
Explain what are the problems with these variables defined in every page.
a- performance ?
b- security ?

Before acting I need facts no sensations.
I can explain you why this variables are needed.
DO NOT TOUCH IT
(0003233)
mhavlat (reporter)
2008-02-12 16:59

This is usability requirement.
Reject it if you are sure that at least 25% of all pages uses these global variables.
Initial reason: Debug Smarty window is full of variables that are not related to a page.
(0003241)
fman (administrator)
2008-02-12 18:41

>>This is usability requirement.
>>Reject it if you are sure that at least 25% of all pages uses these global >>variables.
>>Initial reason: Debug Smarty window is full of variables that are not related to >>a page.
this is not a good reason
(0003245)
mhavlat (reporter)
2008-02-12 19:09

I will not force you. So please fix uninitialized variables in description and close the issue.

I know that php is not perfect language. But I hope that you agree that we need to have clean structure of code.

- Issue History
Date Modified Username Field Change
2008-02-11 05:39 mhavlat New Issue
2008-02-11 05:39 mhavlat Status new => assigned
2008-02-11 05:39 mhavlat Assigned To => fman
2008-02-11 05:43 mhavlat Note Added: 0003226
2008-02-12 16:10 fman Note Added: 0003232
2008-02-12 16:59 mhavlat Note Added: 0003233
2008-02-12 18:41 fman Note Added: 0003241
2008-02-12 19:09 mhavlat Note Added: 0003245
2009-02-04 16:17 fman Status assigned => resolved
2009-02-04 16:17 fman Fixed in Version => 1.8 RC 3
2009-02-04 16:17 fman Resolution open => fixed
2009-04-05 00:46 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker